=== debian/changelog ===
rtl-ais (0.3+git20240507+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.2.
  * d/control: set Vcs fields.

 -- Alex Myczko <tar@debian.org>  Fri, 07 Nov 2025 09:54:21 +0100

rtl-ais (0.3+git20240507+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1070697)

 -- Alex Myczko <tar@debian.org>  Tue, 07 May 2024 12:03:02 +0000
