=== debian/control ===
Source: rtl-ais
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 librtlsdr-dev,
 pkgconf
Standards-Version: 4.7.2
Homepage: https://github.com/dgiardini/rtl-ais
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rtl-ais
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rtl-ais.git

Package: rtl-ais
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: simple AIS tuner and generic dual-frequency FM demodulator
 This provides the rtl_ais command, which decodes AIS data from Software
 Defined Radio (SDR) and outputs AIVDM / AIVDO sentences.
